@import url("https://fonts.googleapis.com/css2?family=Raleway:wght@100;400;600;800&family=Roboto:wght@100;300;400;500;700;900&display=swap");

.ui-pnotify-text {
    font-size: 14px;
}

html,
body {
    height: 100%;
    width: 100%;
    font-family: "Roboto", sans-serif;
    overflow: auto;
}

.flex-center {
    display: flex;
    align-items: center;
    justify-content: center;
}

section.login {
    height: 100%;
    width: 100%;
    position: relative;
    display: none;
}

.tema-claro .logo.light,
.tema-claro a.light,
.tema-escuro .logo.dark,
.tema-escuro a.dark {
    display: block;
}

.tema-claro .logo.dark,
.tema-escuro .logo.light,
.tema-claro a.dark,
.tema-escuro a.light {
    display: none;
}

#botao-darkmode {
    display: none;
}

.tema-claro section.login {
    background-color: var(--theme-accent-light-50);
}

.tema-escuro section.login {
    background-color: var(--theme-accent-dark-500);
}

.tema-escuro input:-webkit-autofill,
.tema-escuro input:-webkit-autofill:hover,
.tema-escuro input:-webkit-autofill:focus {
    border: 1px solid var(--theme-primary-500);
    -webkit-text-fill-color: #000;
    -webkit-box-shadow: 0 0 0px 1000px var(--theme-primary-50) inset;
    transition: background-color 5000s ease-in-out 0s;
}

.tema-claro input:-webkit-autofill,
.tema-claro input:-webkit-autofill:hover,
.tema-claro input:-webkit-autofill:focus {
    border: 1px solid var(--theme-primary-500);
    -webkit-text-fill-color: #000;
    -webkit-box-shadow: 0 0 0px 1000px var(--theme-primary-50) inset;
    transition: background-color 5000s ease-in-out 0s;
}

.loading {
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
    transition: opacity 1s;
    z-index: 3;
    background-color: #353535;
}

.loading div {
    background-color: var(--theme-primary-500);
    border-radius: 50%;
    box-shadow: 0 -0.4rem rgba(60, 0, 80, 0.1) inset;
    animation: cycle 1s ease-in-out infinite;
}

.loading div:nth-child(1) {
    animation-delay: 0;
}

.loading div:nth-child(2) {
    animation-delay: 0.2s;
    background-color: var(--theme-secondary-500);
}

.loading div:nth-child(3) {
    animation-delay: 0.4s;
}

@keyframes cycle {
    0% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(1rem);
    }

    100% {
        transform: translateY(0);
    }
}

section.footer {
    backdrop-filter: blur(5px);
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
}

div.box-login {
    flex: 1;
    opacity: 1;
    position: relative;
    z-index: 1;
    border-radius: 5px;
    display: grid;
    backdrop-filter: blur(5px);
    background: var(--theme-accent-dark-500);
}

.tema-claro div.box-login {
    -webkit-box-shadow: 8px 8px 8px #c4c4c4, -8px -8px 8px #ffffff;
    box-shadow: 8px 8px 8px #c4c4c4, -8px -8px 8px #ffffff;
}

.tema-escuro div.box-login {
    -webkit-box-shadow: 6px 6px 5px #2d2d2d, -6px -6px 5px #3d3d3d;
    box-shadow: 6px 6px 5px #2d2d2d, -6px -6px 5px #3d3d3d;
}

/* CAMPOS LOGIN */
div.box-login .campos {
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column;
    transition: opacity 1s;
    position: relative;
    z-index: 2;
    text-align: center;
    gap: 32px;
}

.tema-claro div.box-login .campos {
    background-color: #fff;
}

.tema-escuro div.box-login .campos {
    background-color: #fff;
}

form {
    width: 100%;
    height: fit-content;
}

.login-pass {
    flex-flow: column nowrap;
    width: 100%;
    position: relative;
}

.login-pass .usuario,
.login-pass .senha {
    position: relative;
    width: 100%;
    margin-bottom: 60px;
}

.login-pass .lord-icon {
    width: 30px;
    height: 30px;
    position: absolute;
    bottom: 10px;
    right: 0;
    z-index: 2;
}

.tema-claro .lord-icon.light {
    display: block;
}

.tema-claro .lord-icon.dark {
    display: none;
}

.tema-escuro .lord-icon.light {
    display: none;
}

.tema-escuro .lord-icon.dark {
    display: block;
}

.login-pass .senha #link-esqueci {
    position: absolute;
    bottom: -40px;
    right: 0;
    color: var(--theme-accent-500);
    transition: color 0.2s;
}

.login-pass .senha #link-esqueci:hover {
    color: var(--theme-primary-500);
}

.login-pass img {
    height: 20vh;
}

#bt_senha {
    width: 100%;
    border: none;
    padding: 20px;
    border-radius: 5px;
    transition: background-color 0.2s, box-shadow 0.2s;
    text-transform: uppercase;
    font-weight: 500;
}

.tema-escuro #bt_senha {
    color: var(--theme-primary-font-500);
    background-color: var(--theme-primary-500);
}

.tema-escuro #bt_senha:hover {
    background-color: var(--theme-primary-700);
}

.tema-claro #bt_senha {
    color: var(--theme-primary-font-500);
    background-color: var(--theme-primary-500);
}

.tema-claro #bt_senha:hover {
    background-color: var(--theme-primary-700);
}

/* PARTICLES */
#particles-js canvas {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

#bt_voltar,
#bt_reenvio {
    width: 100%;
    border: none;
    padding: 20px;
    border-radius: 5px;
    transition: background-color 0.2s, box-shadow 0.2s;
    text-transform: uppercase;
    font-weight: 500;
}

.tema-claro #bt_voltar,
.tema-claro #bt_reenvio {
    color: var(--theme-accent-light-font-900);
    background-color: var(--theme-accent-light-700);
}

.tema-claro #bt_voltar:hover,
.tema-claro #bt_reenvio:hover {
    background-color: var(--theme-accent-light-900);
}

.tema-escuro #bt_voltar,
.tema-escuro #bt_reenvio {
    color: var(--theme-accent-dark-font-300);
    background-color: var(--theme-accent-dark-300);
}

.tema-escuro #bt_voltar:hover,
.tema-escuro #bt_reenvio:hover {
    background-color: var(--theme-accent-dark-400);
}

/* ------------------------------------ */

/* BOX LINKS */
.box-links {
    width: 100%;
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    gap: 2vh;
}

.box-links .link {
    cursor: pointer;
}

.box-links .link lord-icon.lord-icon {
    width: 8vh;
    height: 8vh;
    background-color: #e5e5e5;
    border-top-left-radius: 2vh;
    border-bottom-left-radius: 2vh;
}

.tema-claro .box-links .link lord-icon.lord-icon,
.tema-claro .box-links .link span {
    background-color: var(--theme-accent-light-50);
    color: var(--theme-accent-light-font-50);
}

.tema-escuro .box-links .link lord-icon.lord-icon,
.tema-escuro .box-links .link span {
    background-color: var(--theme-accent-light-50);
    color: var(--theme-accent-light-font-50);
}

.box-links .link lord-icon.lord-icon:after {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    right: -20vh;
    left: 0;
}

.box-links .link span {
    background-color: #e5e5e5;
    border-top-right-radius: 2vh;
    border-bottom-right-radius: 2vh;
    font-weight: 300;
    width: 20vh;
    padding: 0 2vh;
    height: 8vh;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    overflow: hidden;
    font-size: 2vh;
}

/* ------------------------------------ */

/* FOOTER */
.copyright {
    width: 100%;
    text-align: center;
    font-weight: 300;
    line-height: 1;
}

footer {
    width: 100%;
}

/* ------------------------------------ */

/* ICONES ANIMADOS */
div.box-login .icones {
    height: 100%;
    width: 100%;
    display: grid;
    align-self: center;
    justify-self: center;
    transition: opacity 1s;
    position: relative;
    z-index: 2;
}

div.box-login .icones .icone {
    flex-flow: column nowrap;
}

.icone span {
    font-weight: 300;
    font-family: "Roboto", sans-serif;
}

.tema-claro .icone span {
    color: #fff;
}

.tema-escuro .icone span {
    color: var(--theme-accent-dark-50);
}

/* SCROLL */
::-webkit-scrollbar {
    width: 10px !important;
}

::-webkit-scrollbar-track-piece {
    background-color: rgba(255, 255, 255, 0.5) !important;
}

::-webkit-scrollbar-thumb {
    height: 10px !important;
    background-color: rgba(0, 0, 0, 0.5) !important;
}

/* ------------------------------------ */

/* BOOTSTRAP */
.form-floating {
    width: 100%;
    margin-bottom: 3vh;
    font-weight: 300;
    font-family: "Roboto", sans-serif;
}

.form-floating:not(.form-control:disabled)::before {
    background-color: transparent;
    z-index: -1;
}

.form-floating .form-control {
    background-color: transparent;
    font-weight: 300;
    border: none;
}

.tema-claro .form-floating .form-control {
    color: var(--theme-accent-light-900);
    background-color: var(--theme-accent-light-50);
}

.tema-escuro .form-floating .form-control {
    color: var(--theme-accent-light-900);
    background-color: var(--theme-accent-light-50);
}

.form-floating .form-control:focus {
    outline: none;
    box-shadow: none;
}

.tema-claro .form-floating label {
    color: var(--theme-accent-light-900);
}

.tema-claro .form-floating:has(input:focus) label {
    color: var(--theme-accent-light-900);
}

.tema-claro .form-floating .form-control:focus {
    background-color: var(--theme-primary-50);
    border: 1px solid var(--theme-primary-500);
}

.tema-escuro .form-floating label {
    color: var(--theme-accent-light-900);
}

.tema-escuro .form-floating:has(input:focus) label {
    color: var(--theme-accent-light-900);
}

.tema-escuro .form-floating .form-control:focus {
    background-color: var(--theme-primary-50);
    border: 1px solid var(--theme-primary-500);
}

.list-group {
    max-height: 20vh;
    overflow: auto;
}

.list-group-item {
    display: flex;
    align-items: center;
    gap: 0.8vw;
    cursor: pointer;
    font-weight: 300;
    font-size: 1.8vh;
}

.list-group-item:has(input:checked) {
    background-color: var(--theme-primary-50);
}

.list-group-item .form-check-input:checked {
    background-color: var(--theme-primary-500);
    border-color: var(--theme-primary-500);
}

.list-group-item .form-check-input {
    margin-top: 0px;
    margin-left: 0px;
}

button:disabled {
    opacity: 0.5;
    pointer-events: none;
}

#forcaSenha {
    margin-bottom: 2vh;
}

#mailToLink {
    text-decoration: none ;
}